ghc-pkg: recompute `abi-depends` for updated packages